Index: c/src/lib/libbsp/i386/ts_386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/ts_386ex/configure.in
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/configure.in	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/i386/ts_386ex/configure.in	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -29,4 +29,5 @@
 RTEMS_CONFIG_BUILD_SUBDIRS(tools)
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/i386/ts_386ex/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/include/.cvsignore	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/i386/ts_386ex/include/.cvsignore	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/i386/ts_386ex/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/include/Makefile.am	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/i386/ts_386ex/include/Makefile.am	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -9,5 +9,5 @@
 endif
 
-H_FILES = bsp.h coverhd.h wd80x3.h $(NETWORK_H_FILES)
+include_HEADERS = bsp.h coverhd.h wd80x3.h $(NETWORK_H_FILES) bspopts.h
 
 $(PROJECT_INCLUDE):
@@ -17,9 +17,9 @@
 	$(INSTALL_DATA) $< $@
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h)
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(PREINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h wd80x3.h
+EXTRA_DIST = wd80x3.h
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/i386/ts_386ex/include/bsp.h
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/include/bsp.h	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/i386/ts_386ex/include/bsp.h	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -19,4 +19,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -12,5 +12,5 @@
 OBJS = $(S_O_FILES)
 
-H_FILES = 80386ex.h
+noinst_FILES = 80386ex.h
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/m68k/dmv152/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/dmv152/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/configure.in	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/dmv152/configure.in	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/dmv152/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/include/.cvsignore	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/dmv152/include/.cvsignore	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/dmv152/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/include/Makefile.am	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/dmv152/include/Makefile.am	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -5,21 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/dmv152/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/include/bsp.h	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/dmv152/include/bsp.h	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -19,4 +19,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/efi332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/efi332/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/efi332/configure.in	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi332/configure.in	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/efi332/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/efi332/include/.cvsignore	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi332/include/.cvsignore	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/efi332/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/efi332/include/Makefile.am	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi332/include/Makefile.am	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -5,24 +5,20 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h efi332.h
+include_HEADERS = bsp.h coverhd.h efi332.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
+coverhd.h: ../../../shared/include/coverhd.h
 	$(INSTALL_DATA) $< $@
+CLEANFILES += coverhd.h
 
-$(PROJECT_INCLUDE)/efi332.h: efi332.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/efi332.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h efi332.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/efi332/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/efi332/include/bsp.h	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi332/include/bsp.h	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -19,4 +19,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/efi68k/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/efi68k/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/configure.in	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi68k/configure.in	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/efi68k/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/include/.cvsignore	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi68k/include/.cvsignore	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/efi68k/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/include/Makefile.am	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi68k/include/Makefile.am	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -5,28 +5,20 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h ../../../shared/include/coverhd.h efi68k.h 16550.h DP8570A.h
+include_HEADERS = bsp.h coverhd.h efi68k.h 16550.h DP8570A.h bspopts.h
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE):
+	$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: ../../../shared/include/coverhd.h
+coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
 	$(INSTALL_DATA) $< $@
+CLEANFILES += coverhd.h
 
-$(PROJECT_INCLUDE)/efi68k.h: efi68k.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/16550.h: 16550.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/DP8570A.h: DP8570A.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/efi68k.h \
-    $(PROJECT_INCLUDE)/16550.h $(PROJECT_INCLUDE)/DP8570A.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = 16550.h DP8570A.h bsp.h efi68k.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/efi68k/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/include/bsp.h	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/efi68k/include/bsp.h	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -19,4 +19,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68302/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/configure.in	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68302/configure.in	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -23,4 +23,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/gen68302/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/include/.cvsignore	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68302/include/.cvsignore	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/gen68302/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/include/Makefile.am	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68302/include/Makefile.am	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -5,24 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h m302_int.h
+include_HEADERS = bsp.h coverhd.h m302_int.h bspopts.h
 
 $(PROJECT_INCLUDE):
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/m302_int.h: m302_int.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/m302_int.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h m302_int.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/gen68302/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/include/bsp.h	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68302/include/bsp.h	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -21,4 +21,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,9 @@
+2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68340/configure.in
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/configure.in	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68340/configure.in	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -20,4 +20,5 @@
 RTEMS_CANONICAL_HOST
 
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/m68k/gen68340/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/include/.cvsignore	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68340/include/.cvsignore	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/m68k/gen68340/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/include/Makefile.am	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68340/include/Makefile.am	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -5,5 +5,5 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h m340uart.h m340timer.h m68340.h m68340.inc \
+include_HEADERS = bsp.h coverhd.h m340uart.h m340timer.h m68340.h m68340.inc \ bspopts.h
     m68349.inc
 
@@ -11,34 +11,14 @@
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
+$(PROJECT_INCLUDE)/%.inc: %.inc
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/m340uart.h: m340uart.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/m340timer.h: m340timer.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/m68340.h: m68340.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/m68340.inc: m68340.inc
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/m68349.inc: m68349.inc
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/m340uart.h \
-    $(PROJECT_INCLUDE)/m340timer.h $(PROJECT_INCLUDE)/m68340.h \
-    $(PROJECT_INCLUDE)/m68340.inc $(PROJECT_INCLUDE)/m68349.inc
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h coverhd.h m340timer.h m340uart.h m68340.h m68340.inc \
-    m68349.inc
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/gen68340/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/include/bsp.h	(revision dd406cb311dcef9369d97302e4029fc1ea27d4a5)
+++ c/src/lib/libbsp/m68k/gen68340/include/bsp.h	(revision ebf3adc76f5b79d58191185440d843d72376b013)
@@ -24,4 +24,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
